scsi_host_alloc
Prev | drivers/scsi/hosts.c | Next

## Name

scsi_host_alloc — register a scsi host adapter instance.

## Synopsis

`struct Scsi_Host * scsi_host_alloc (` | struct scsi_host_template * | sht,
| int | privsize`)`;

## Arguments

`sht`

  pointer to scsi host template

`privsize`

  extra bytes to allocate for driver

## Note

Allocate a new Scsi_Host and perform basic initialization. The host is not published to the scsi midlayer until scsi_add_host is called.

## Return value

Pointer to a new Scsi_Host

Prev | Up | Next
scsi_add_host | Home | scsi_host_lookup